org.apache.cassandra.db

## Class ReadExecutionController

- java.lang.Object
- - org.apache.cassandra.db.ReadExecutionController

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ReadExecutionController
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static ReadExecutionController` | `empty()`
    `ReadExecutionController` | `indexReadController()`
    `CFMetaData` | `metaData()`
    `boolean` | `validForReadOn(ColumnFamilyStore cfs)`
    `OpOrder.Group` | `writeOpOrderGroup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### indexReadController

          public ReadExecutionController indexReadController()

    - #### writeOpOrderGroup

          public OpOrder.Group writeOpOrderGroup()

    - #### validForReadOn

          public boolean validForReadOn(ColumnFamilyStore cfs)

    - #### empty

          public static ReadExecutionController empty()

    - #### metaData

          public CFMetaData metaData()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2018 The Apache Software Foundation